Tax document
API reference
Returns a PDF of the requested tax document in raw format using the document ID returned from the Tax document list call.
IMPORTANT Only pull documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
The IRS requires Cross River to provide account holders with an IRS Form 1099 for earnings equal to or greater than $10.00, per taxpayer identification number (TIN). Should the customer have more than one account, the system generates a 1099 foreach account if the earnings of all accounts total $10.00 or more.
Endpoint: /core/v1/dda/accounts/{accountNumber}/tax-documents/{id}
GET
https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/tax-documents/{id}
Path Parameters
- accountNumberstringrequiredDescription
- idstringrequiredDescription
Response
- PDFstringDescription
curl
curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("GET", "/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
RETURNS A PDF